#include "painter.h"
#include "spring.h"


Painter::Painter( QWidget *parent )
        : QWidget( parent )
{
    setMinimumSize( 500, 160 );

    quit = new QPushButton( tr("Quit") );
    connect( quit, SIGNAL(clicked()), qApp, SLOT(quit()) );

    spring = new Spring( this );

    reset = new QPushButton( tr("Reset") );
    connect( reset, SIGNAL(clicked()), spring, SLOT( resetea() ) );

    apply = new QPushButton( tr("Apply")  );
    connect( apply, SIGNAL(clicked()), spring, SLOT( deforma() ) );

    remove = new QPushButton( tr("Remove")  );
    connect( remove, SIGNAL(clicked()), this, SLOT( doRemove() ) );
    connect( this, SIGNAL(sendRemove()), spring, SLOT( quitaFuerza() ) );

    forceText = new QLabel(  );
    forceText->setText("Fuerza:");
    forceText->setAlignment( Qt::AlignCenter );

    forceValue = new QDoubleSpinBox( );
	forceValue->setDecimals( 1 );
	forceValue->setRange( 0.0, 1.2 );
	forceValue->setSingleStep( 0.1 );
    connect( forceValue, SIGNAL(valueChanged(double)), spring, SLOT( poneFuerza(double) ) );
	
    textoAngulo = new QLabel(  );
    textoAngulo->setText("ngulo");
    textoAngulo->setAlignment( Qt::AlignCenter );

    angulo = new QDoubleSpinBox( );
	angulo->setDecimals( 1 );
	angulo->setRange( -60.0, 60.0 );
	angulo->setSingleStep( 1.0 );
    connect( angulo, SIGNAL(valueChanged(double)), spring, SLOT( poneAngulo(double) ) );

    QGridLayout *grid = new QGridLayout( ); //2x2, 5 pixel border
    grid->addWidget( spring, 0, 1 );
    // grid->setColumnStretch( 1, 10 );

	QBoxLayout *leftBox = new QBoxLayout ( QBoxLayout::TopToBottom );
	leftBox->addWidget( quit );
	leftBox->addWidget( reset );
	leftBox->addWidget( forceText );
	leftBox->addWidget( forceValue );
	leftBox->addWidget( textoAngulo );
	leftBox->addWidget( angulo );
	leftBox->addWidget( apply );
	leftBox->addWidget( remove );
	leftBox->addStretch( );
	grid->addLayout( leftBox, 0, 0 );

	setLayout( grid );
}

